Bug 588044 - [abrt] crash in system-config-samba-1.2.86-1.fc12
Summary: [abrt] crash in system-config-samba-1.2.86-1.fc12
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
(Show other bugs)
Version: 12
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c817f630
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-02 11:23 UTC by Leandro Costa Silva
Modified: 2010-12-03 15:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 15:11:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.36 KB, text/plain)
2010-05-02 11:23 UTC, Leandro Costa Silva
no flags Details

Description Leandro Costa Silva 2010-05-02 11:23:04 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/system-config-samba 
component: system-config-samba
executable: /usr/bin/system-config-samba
kernel: 2.6.31.5-127.fc12.i686
package: system-config-samba-1.2.86-1.fc12
release: Fedora release 12 (Constantine)
uuid: dad27c47

backtrace
-----
Summary: TBdad27c47 polkit.py:117:handle_authfail:DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.samba.configure: 

Traceback (most recent call last):
  File "/usr/bin/system-config-samba", line 53, in <module>
    mainWindow.MainWindow (debug_flag = debug_flag, use_dbus = use_dbus)
  File "/usr/share/system-config-samba/mainWindow.py", line 127, in __init__
    self.samba_data = sambaConfig.SambaConfig (self.samba_backend)
  File "/usr/lib/python2.6/site-packages/scsamba/core/sambaConfig.py", line 29, in __init__
    self.parseFile ()
  File "/usr/lib/python2.6/site-packages/scsamba/core/sambaConfig.py", line 32, in parseFile
    return self.parse (self.backend.readSmbConf ())
  File "<string>", line 2, in readSmbConf
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 155, in _enable_proxy
    return handle_authfail(e)
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 117, in handle_authfail
    raise e
DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.samba.configure: 

Local variables in innermost frame:
authfail_result: <class 'slip.dbus.polkit.AUTHFAIL_DONTCATCH'>
e: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.samba.configure: 
authfail_callback: None
authfail_exception: None

Comment 1 Leandro Costa Silva 2010-05-02 11:23:07 UTC
Created attachment 410782 [details]
File: backtrace

Comment 2 Nils Philippsen 2010-05-06 13:24:30 UTC
Please check whether you can reproduce this with the current version 1.2.89 which is available as an update. Thanks.

Comment 3 Bug Zapper 2010-11-03 15:50:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 15:11:58 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.